C Bernd Berg Feb 10 2009.
C Vectors have their absolute value in the 4th entry.
C xmsum             Total mass.
C rcm(4)            Center of mass position.
C vcm(4)            Center of mass velocity.
C r12(4)            Difference distance vector.
C v12(4)            Difference velocity vector.
C r12dv12           Dot product of the two vectors.
C xl(4)             Angular momentum. 
c pmu(4)            Momentum with respect to reduced mass and velocity.
C xmu               Reduced mass.
C xp(4),yp(4),zp(4) Unit vectors of primed coordinate system.
C alpha             =G*m1*m2 factor of  gravitational 1/r potential.
C Ecm               Energy in CM frame (conserved).
C xl2               Angular momentum squared.
C r12p(4)           r12(4) in primed frame.
      common/ckepler/ xmsum,xm1oxmsum,xm2oxmsum,rcm(4),vcm(4),pcm(4),
     &  r12(4),v12(4),r12dv12,pmu(4),xmu,xl(4), xp(4),yp(4),zp(4),
     &  xht(4),yht(4),zht(4),alpha,Ecm,xl2,r0,phi0,v0,xi0,p,e,ahalf,
     &  bhalf, r12p(3),v12p(3)
